#ifndef XGPUVERTEXRAWREQUEST
#define XGPUVERTEXRAWREQUEST

#include "xasset.h"

class XGpuVertexRawRequest : public XAsset
{
public:
    XGpuVertexRawRequest();

    virtual void ParseData(XDataStream* aStream) override;
    virtual void Clear() override;

private:
    quint32 mType;
    quint32 mBaseAddress;
    quint32 mEndian;
    quint32 mSize;
    quint32 mAddressClamp;
    quint32 mRequestSize;
    quint32 mClampDisable;
};

#endif // XGPUVERTEXRAWREQUEST
